/* ============ Grundeinstellungen ========== */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font: inherit;
}

body {
  hyphens: auto;
  background-color: #fff;
}

a {
  color: inherit;
  text-decoration: none;
  border-bottom: 1px solid;
}

a:hover,
a:active,
a:focus {
  color: red;
}

/* ============ Typografie ========== */

body {
  /* hier richtigen Font-Stack mit "Fira Sans" einfügen! */
  font-family: "Fira Sans";
  font-size: 120%;
  line-height: 1.45;
  color: #444;
}

h1 {
  /* hier richtigen Font-Stack mit "Montserrat" einfügen! */
  /* wie wird die Schriftgröße via "clamp" und "vw" flexibel? */
  font-family: "Montserrat";
  font-weight: 100;
  font-size: clamp(20px, 10vw, 80px);
  line-height: 1;
  text-align: center;
}

h2 {
  font-weight: 600;
  font-size: 100%;
  color: red;
}

q:before {
  content: "„";
  color: rgba(0, 0, 0, 0.3);
}

q:after {
  content: "“";
  color: rgba(0, 0, 0, 0.3);
}

/* ============ Header ================= */

header {
  background-color: #000;
  color: #fff;
  padding: 0.5vw 0 2vw 0;
}

/* ============ Main ================= */

main {
  width: clamp(300px, 96%, 1600px);
  margin: 0 auto;
  /* was muss hier angegeben werden, damit der Burger richtig positioniert wird? */
}

blockquote {
  /* entsprechend Vorlage gestalten! */
  font-family: "Fira Sans";
  font-style: italic;
  font-size: 140%;
  text-align: center;
  width: clamp(400px, 60%, 700px);
  margin: 30px auto;
}

.intro:first-line {
  /* 1. Zeile nur Großbuchstaben */
  text-transform: uppercase;
  color: red;
}

article {
  /* hier die Anweisung für ein flexibles "Multi-Column-Layout" */
  column-width: 16em;
  column-gap: 1em;
  column-rule: 1px solid #ccc;
}

article h2 {
  margin: 1.45em 0;
  font-weight: 400;
}

article p + p {
  text-indent: 2em;
}

/* ==================== Nav-Element mit den Typo-Links ==================== */

/* Positionierung von Burger-Button und Menü */
nav {
  /* was muss hier rein, dass der Burger an der gewünschten Stelle positioniert wird? */
  position: relative;
  margin-top: 20px;
}

/* das Burger-Icon */
nav button {
  width: 20px;
  border: none;
  background: none;
  cursor: pointer;
}

nav ul {
  /* legt fest, wie breit das Menü dargestellt wird */
  max-width: 25em;
  padding: 0.5em;
  background-color: #000;
  color: #fff;
  list-style-type: none;
  line-height: 2;
  /* Menü erst mal unsichtbar – wie lautet die Anweisung? */
  display: none;
  position: absolute;
  top: 10px;
  left: 10px;
}

/* Klasse "sichtbar" wird via Javascript bei "nav > ul" ein- bzw. ausgeschaltet */
.sichtbar {
  /* Menü jetzt sichtbar – wie lautet dafür die Anweisung? */
  display: block;
}

/* ============ Footer ================= */

footer {
  border-top: 1px solid #ddd;
  margin: 1.45rem auto;
  padding: 0.45rem 0 1.45rem 0;
  text-align: right;
  color: rgba(0, 0, 0, 0.5);
}
